%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:             jboss-jms-2.0-api
Version:          1.0.2
Release:          %mkrel 4
Group:            Development/Java
Summary:          JBoss JMS API 2.0 Spec
License:          CDDL or GPLv2 with exceptions
Url:              https://www.jboss.org
Source0:          https://github.com/jboss/jboss-jms-api_spec/archive/jboss-jms-api_2.0_spec-%{namedversion}.tar.gz
Source1:          cddl.txt

BuildRequires:    maven-local
BuildRequires:    mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:    mvn(org.jboss:jboss-parent:pom:)

BuildArch:        noarch

%description
The Java Messaging Service 2.0 API classes

%package javadoc
Summary:          Javadocs for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n jboss-jms-api_spec-jboss-jms-api_2.0_spec-%{namedversion}

# Unneeded plugin
%pom_remove_plugin :maven-source-plugin

cp %{SOURCE1} .

sed -i "s,59 Temple Place,51 Franklin Street,;s,Suite 330,Fifth Floor,;s,02111-1307,02110-1301," LICENSE

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}
%doc README.md
%license LICENSE cddl.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE cddl.txt



%changelog
* Sat Mar 26 2022 umeabot <umeabot> 1.0.2-4.mga9
+ Revision: 1827347
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.0.2-3.mga8
+ Revision: 1501792
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.0.2-2.mga7
+ Revision: 1278905
- Mageia 7 Mass Rebuild

* Tue Apr 03 2018 kekepower <kekepower> 1.0.2-1.mga7
+ Revision: 1214913
- Update to version 1.0.2

* Wed May 17 2017 neoclust <neoclust> 1.0.0-1.mga6
+ Revision: 1102698
- New version 1.0.0.Final
- Second rebuild of the java stack

* Mon Feb 29 2016 daviddavid <daviddavid> 1.0.0-0.5.Alpha1.1.mga6
+ Revision: 981080
- First rebuild of the java stack
+ neoclust <neoclust>
- sync package jboss-jms-2.0-api with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Tue Dec 23 2014 pterjan <pterjan> 1.0.0-0.Alpha1.1.mga5
+ Revision: 805104
- Mageify
- imported package jboss-jms-2.0-api

